Bug 177348 - 65s in cnd.editor.filecreation.CndClassWizardIterator.instantiate()
65s in cnd.editor.filecreation.CndClassWizardIterator.instantiate()
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 05:37 UTC by Exceptions Reporter
Modified: 2011-01-18 06:14 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2009-11-21 05:37 UTC, Exceptions Reporter
Details
nps snapshot (16.67 KB, application/nps)
2011-01-03 05:58 UTC, jamesMansell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2009-11-21 05:37:18 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910212001)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows 7, 6.1, amd64
Maximum slowness yet reported was 63535 ms, average is 63535
Comment 1 Exceptions Reporter 2009-11-21 05:37:24 UTC
Created attachment 91466 [details]
nps snapshot
Comment 2 Jiri Skrivanek 2009-11-23 01:57:29 UTC
There are two threads from GlassFish which probably heavily access disk. That's why creating of a new file in AWT thread took so much time. Please, evaluate.

org.netbeans.modules.glassfish.common.LogViewMgr$LoggerRunnable
Comment 3 Vince Kraemer 2009-11-24 14:41:25 UTC
these two threads read the out and err stream from the server process that is started by NB.  They will take a lot of time if the server is spewing out messages and consume very little resource when the server is silent/operating happily....

let me know if you need more info or think I have missed something.
Comment 4 Vince Kraemer 2009-11-24 14:46:50 UTC
assigned back to source of transfer
Comment 5 Jiri Skrivanek 2009-11-25 05:18:04 UTC
I don't know what to do. Instantiation takes too much time but we have to wait for it anyway.
Comment 6 jamesMansell 2011-01-03 05:58:17 UTC
Created attachment 104657 [details]
nps snapshot

Creating new C++ class from project context menu
Comment 7 Jaroslav Tulach 2011-01-03 08:48:29 UTC
Probably only moving the instantiation outside of AWT can solve this issue.
Comment 8 Alexander Simon 2011-01-17 12:14:46 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/1c638c4d2e95
Comment 9 Quality Engineering 2011-01-18 06:14:21 UTC
Integrated into 'main-golden', will be available in build *201101180000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1c638c4d2e95
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #177348 65s in cnd.editor.filecreation.CndClassWizardIterator.instantiate()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo